% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/seurat_interaction.R
\name{add_to_seurat}
\alias{add_to_seurat}
\title{add_to_seurat()}
\usage{
add_to_seurat(
  seurat_obj = NULL,
  assay_name = "RNA",
  infercnv_output_path,
  top_n = 10,
  bp_tolerance = 2e+06,
  column_prefix = NULL
)
}
\arguments{
\item{seurat_obj}{Seurat object to add meta.data to (default: NULL)}

\item{assay_name}{Name of the assay in the Seurat object if provided. (default: "RNA")}

\item{infercnv_output_path}{Path to the output folder of the infercnv run to use}

\item{top_n}{How many of the largest CNA (in number of genes) to get.}

\item{bp_tolerance}{How many bp of tolerance to have around feature start/end positions for top_n largest CNVs.}

\item{column_prefix}{String to add as a prefix to the Seurat metadata columns. Only applied to the seurat_obj, if supplied. Default is NULL}
}
\value{
seurat_obj
}
\description{
Add meta.data about CNAs to a Seurat object from an infercnv_obj
}
